Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZCollaborationGroup Class Reference

The class eZCollaborationGroup does. More...

Inheritance diagram for eZCollaborationGroup:

## Public Member Functions
| addChild ( $group, $store=true)
| itemList ( $parameters=array())
| itemCount ( $parameters=array())
| user ()
| parentGroup ()
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | instantiate ( $userID, $title, $parentGroupID=0, $isOpen=true)
static | create ( $userID, $title, $pathString='', $depth=0, $parentGroupID=0, $isOpen=true)
static | fetch ( $id, $userID=false, $asObject=true)
static | subTree ( $parameters=array())
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $ID
| $ParentGroupID
| $UserID
| $Title
| $Created
| $Modified
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

The class eZCollaborationGroup does.

Definition at line 17 of file ezcollaborationgroup.php.

## Member Function Documentation

## ◆ addChild()

eZCollaborationGroup::addChild | ( |  | $group,
|  |  | $store = `true`
| ) |  |

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 78 of file ezcollaborationgroup.php.

References $ID, and eZPersistentObject\$PathString.

## ◆ create()

static eZCollaborationGroup::create | ( |  | $userID,
|  |  | $title,
|  |  | $pathString = `''`,
|  |  | $depth = `0`,
|  |  | $parentGroupID = `0`,
|  |  | $isOpen = `true`
| ) |  |
| static

Definition at line 124 of file ezcollaborationgroup.php.

Referenced by instantiate().

## ◆ definition()

static eZCollaborationGroup::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 19 of file ezcollaborationgroup.php.

Referenced by fetch().

## ◆ fetch()

static eZCollaborationGroup::fetch | ( |  | $id,
|  |  | $userID = `false`,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 140 of file ezcollaborationgroup.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZCollaborationItemGroupLink\collaborationGroup(), instantiate(), parentGroup(), and subTree().

## ◆ instantiate()

static eZCollaborationGroup::instantiate | ( |  | $userID,
|  |  | $title,
|  |  | $parentGroupID = `0`,
|  |  | $isOpen = `true`
| ) |  |
| static

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 97 of file ezcollaborationgroup.php.

References create(), fetch(), and eZDB\instance().

Referenced by eZCollaborationProfile\instance().

## ◆ itemCount()

eZCollaborationGroup::itemCount | ( |  | $parameters = `array()` | ) |

Definition at line 282 of file ezcollaborationgroup.php.

References $ID, eZUser\currentUser(), and eZDB\instance().

## ◆ itemList()

eZCollaborationGroup::itemList | ( |  | $parameters = `array()` | ) |

Returns
  an array with collaboration items which are in this group.

Definition at line 154 of file ezcollaborationgroup.php.

References eZCollaborationItem\fetchList().

## ◆ parentGroup()

eZCollaborationGroup::parentGroup | ( |  | ) |

Definition at line 311 of file ezcollaborationgroup.php.

References fetch().

## ◆ subTree()

static eZCollaborationGroup::subTree | ( |  | $parameters = `array()` | ) |
| static

Definition at line 160 of file ezcollaborationgroup.php.

References eZPersistentObject\count(), eZUser\currentUser(), fetch(), eZPersistentObject\handleRows(), eZDB\instance(), eZDebugSetting\writeDebug(), and eZDebug\writeWarning().

## ◆ user()

eZCollaborationGroup::user | ( |  | ) |

Definition at line 302 of file ezcollaborationgroup.php.

References eZUser\fetch().

## Member Data Documentation

## ◆ $Created

eZCollaborationGroup::$Created

Definition at line 325 of file ezcollaborationgroup.php.

## ◆ $ID

eZCollaborationGroup::$ID

Definition at line 321 of file ezcollaborationgroup.php.

Referenced by addChild(), and itemCount().

## ◆ $Modified

eZCollaborationGroup::$Modified

Definition at line 326 of file ezcollaborationgroup.php.

## ◆ $ParentGroupID

eZCollaborationGroup::$ParentGroupID

Definition at line 322 of file ezcollaborationgroup.php.

## ◆ $Title

eZCollaborationGroup::$Title

Definition at line 324 of file ezcollaborationgroup.php.

## ◆ $UserID

eZCollaborationGroup::$UserID

Definition at line 323 of file ezcollaborationgroup.php.

The documentation for this class was generated from the following file:

- ezcollaborationgroup.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.